Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
com.foxit.sdk.addon.compliance.PDFACompliance Class Reference
Inheritance diagram for com.foxit.sdk.addon.compliance.PDFACompliance:

## Public Member Functions
| PDFACompliance ()
| Constructor.
| PDFACompliance (PDFACompliance other)
| Constructor, with another PDF/A compliance object. More...
ResultInformation | convertPDFFile (String src_pdf_path, String saved_pdf_path, int convert_to_version, int view_or_print_condition, boolean convert_problem_pages_into_image, boolean convert_all_pages_into_image, int image_resolution, ProgressCallback progress_callback) throws com.foxit.sdk.PDFException
| Convert a PDF file with specified PDF/A version. More...
ResultInformation | convertPDFFile (String src_pdf_path, String saved_pdf_path, int convert_to_version, ProgressCallback progress_callback) throws com.foxit.sdk.PDFException
| Convert a PDF file with specified PDF/A version. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
boolean | isEmpty ()
| Check whether current object is empty or not. More...
ResultInformation | verify (int verify_version, String src_pdf_path, int first_page_index, int last_page_index, ProgressCallback progress_callback) throws com.foxit.sdk.PDFException
| Verify a PDF file with specified PDF/A version. More...

## Static Public Attributes
static final int | e_VersionPDFA1a = 1
| PDF/A-1a.
static final int | e_VersionPDFA1b = 2
| PDF/A-1b.
static final int | e_VersionPDFA1bWithoutFBC = 9
| PDF/A-1b (without fallback conversion), just only for converting.
static final int | e_VersionPDFA2a = 3
| PDF/A-2a.
static final int | e_VersionPDFA2b = 4
| PDF/A-2b.
static final int | e_VersionPDFA2bWithoutFBC = 10
| PDF/A-2b (without fallback conversion), just only for converting.
static final int | e_VersionPDFA2u = 5
| PDF/A-2u.
static final int | e_VersionPDFA3a = 6
| PDF/A-3a.
static final int | e_VersionPDFA3b = 7
| PDF/A-3b.
static final int | e_VersionPDFA3bWithoutFBC = 11
| PDF/A-3b (without fallback conversion), just only for converting.
static final int | e_VersionPDFA3u = 8
| PDF/A-3u.

## Detailed Description

This class can be used for PDF/A compliance verification or converting a PDF file to a PDF/A format. Please ensure ComplianceEngine has been initialized successfully.

See also
  ComplianceEngine

## Constructor & Destructor Documentation

## ◆ PDFACompliance()

com.foxit.sdk.addon.compliance.PDFACompliance.PDFACompliance | ( | PDFACompliance | other | ) |

Constructor, with another PDF/A compliance object.

Parameters

  [in] | other | Another PDF/A compliance object.

## Member Function Documentation

## ◆ convertPDFFile() [1/2]

ResultInformation com.foxit.sdk.addon.compliance.PDFACompliance.convertPDFFile | ( | String | src_pdf_path,
|  | String | saved_pdf_path,
|  | int | convert_to_version,
|  | int | view_or_print_condition,
|  | boolean | convert_problem_pages_into_image,
|  | boolean | convert_all_pages_into_image,
|  | int | image_resolution,
|  | ProgressCallback | progress_callback
| ) |  | throws com.foxit.sdk.PDFException

Convert a PDF file with specified PDF/A version.

Parameters

  [in] | src_pdf_path | A complete path of source PDF file to be converted. This should not be an empty string.
  [in] | saved_pdf_path | A complete path for saving the converted PDF file. This should not be an empty string.
  [in] | convert_to_version | PDF/A version to convert. Please refer to values starting from com.foxit.sdk.addon.compliance.PDFACompliance.e_VersionPDFA1a and this should be one of these values.
  [in] | view_or_print_condition | Viewing or printing condition. Please refer to values starting from com.foxit.sdk.addon.compliance.ComplianceEngine.e_ViewOrPrintConditionAuto and this should be one of these values.
  [in] | image_resolution | Resolution (PPI) for converted images.Valid range: 60-1200. Only effective if convert_to_version is not com.foxit.sdk.addon.compliance.PDFACompliance.e_VersionPDFA1a , com.foxit.sdk.addon.compliance.PDFACompliance.e_VersionPDFA2a and com.foxit.sdk.addon.compliance.PDFACompliance.e_VersionPDFA3a .
  [in] | progress_callback | Progress callback which is implemented by user and can be used to get progress data. This can be null. Default value: null.

Returns
  A ResultInformation object.

## ◆ convertPDFFile() [2/2]

ResultInformation com.foxit.sdk.addon.compliance.PDFACompliance.convertPDFFile | ( | String | src_pdf_path,
|  | String | saved_pdf_path,
|  | int | convert_to_version,
|  | ProgressCallback | progress_callback
| ) |  | throws com.foxit.sdk.PDFException

Convert a PDF file with specified PDF/A version.

Parameters

  [in] | src_pdf_path | A complete path of source PDF file to be converted. This should not be an empty string.
  [in] | saved_pdf_path | A complete path for saving the converted PDF file. This should not be an empty string.
  [in] | convert_to_version | PDF/A version to convert. Please refer to values starting from com.foxit.sdk.addon.compliance.PDFACompliance.e_VersionPDFA1a and this should be one of these values.
  [in] | progress_callback | Progress callback which is implemented by user and can be used to get progress data. This can be null. Default value: null.

Returns
  A ResultInformation object.

## ◆ delete()

synchronized void com.foxit.sdk.addon.compliance.PDFACompliance.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

Reimplemented from com.foxit.sdk.common.Base.

## ◆ isEmpty()

boolean com.foxit.sdk.addon.compliance.PDFACompliance.isEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ verify()

ResultInformation com.foxit.sdk.addon.compliance.PDFACompliance.verify | ( | int | verify_version,
|  | String | src_pdf_path,
|  | int | first_page_index,
|  | int | last_page_index,
|  | ProgressCallback | progress_callback
| ) |  | throws com.foxit.sdk.PDFException

Verify a PDF file with specified PDF/A version.

Parameters

  [in] | verify_version | PDF/A version to verify. Please refer to values starting from com.foxit.sdk.addon.compliance.PDFACompliance.e_VersionPDFA1a and this should be one of these values.
  [in] | src_pdf_path | A complete path of source PDF file to be verified. This should not be an empty string.
  [in] | first_page_index | Index of the first page to be verified, staring from 0. Default value: 0.
  [in] | last_page_index | Index of the last page to be verified. If this is -1, that means all the pages of the source PDF file will be verified(ignores first_page_index). Default value: -1.
  [in] | progress_callback | Progress callback which is implemented by user and can be used to get progress data. This can be null. Default value: null.

Returns
  A ResultInformation object.